MS11-029:GDI+ 中的弱點可能允許遠端程式碼執行 (2489979)

high Nessus Plugin ID 53386
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

可透過 Microsoft 的 GDI+ 子系統在遠端 Windows 主機上執行任意程式碼。

描述

遠端 Windows 主機上安裝的 Microsoft 之 GDI+ 子系統版本含有一個整數溢位,這是因為 GDI+ 處理整數計算的方式所導致。

如果攻擊者可以誘騙受影響系統上的使用者開啟特製 EMF 影像檔案,就可惡意利用這個問題執行需要該使用者權限的任意程式碼。

解決方案

Microsoft 已針對 Windows XP、2003、Vista 和 2008 發佈一組修補程式。

另請參閱

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2011/ms11-029

Plugin 詳細資訊

嚴重性: High

ID: 53386

檔案名稱: smb_nt_ms11-029.nasl

版本: 1.24

類型: local

代理程式: windows

已發布: 2011/4/13

已更新: 2018/11/15

相依性: smb_hotfixes.nasl, mssql_version.nasl, office_installed.nasl, ms_bulletin_checks_possible.nasl

風險資訊

VPR

風險因素: High

分數: 8.9

CVSS v2

風險因素: High

基本分數: 9.3

時間分數: 8.1

媒介: AV:N/AC:M/Au:N/C:C/I:C/A:C

時間媒介: E:H/RL:OF/RC:C

弱點資訊

CPE: cpe:/o:microsoft:windows

必要的 KB 項目: SMB/MS_Bulletin_Checks/Possible

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2011/4/12

弱點發布日期: 2011/4/12

參考資訊

CVE: CVE-2011-0041

BID: 47250

MSFT: MS11-029

MSKB: 2412687, 2509461